#undef _PATH_UTMP
#define _PATH_UTMP "/var/adm/tac_plus/utmp"
#undef _PATH_WTMP
#define _PATH_WTMP "/var/adm/tac_plus/wtmp"
#undef _PATH_TTYS
#define _PATH_TTYS "/var/adm/tac_plus/ttys"

/*
  Status keywords
 */
#define _TTYS_CHECK   "check"
#define _TTYS_PCHECK  "pcheck"
#define _TTYS_TTYS    "ttys"
#define _TTYS_PUTMP   "putmp"
#define _TTYS_PWTMP   "pwtmp"
#define _TTYS_PACCT   "pacct"
#define _TTYS_UTMP    "utmp"
#define _TTYS_WTMP    "wtmp"
#define _TTYS_ACCT    "acct"
#define _TTYS_YES     "yes"
#define _TTYS_NO      "no"
#define _TTYS_ALIAS   "alias"
#define _TTYS_ASIS    "asis"
#define _TTYS_TRUE    "true"
 
/*
  Status flags
 */
 
#define A_FLAG_NO	0
 
#define A_FLAG_CHECK 	1	/* check=(yes|no)	*/

#define A_FLAG_PCHECK 	2	/* pcheck=(yes|no)	*/

#define A_FLAG_TTYS 	4	/* ttys=(yes|no)	*/

#define A_FLAG_PUTMP_AL 8	/* putmp=(true|alias)	*/

#define A_FLAG_PACCT_AL	16	/* pacct=(true|alias)	*/

/* compatibility */		/* utmp=(no|asis|true|alias)	*/
#define UTMP_LOG_ASIS  32
#define UTMP_LOG_ALIAS 64
#define UTMP_LOG_TRUE  (UTMP_LOG_ASIS | UTMP_LOG_ALIAS)

#define A_FLAG_UTMP_AS UTMP_LOG_ASIS
#define A_FLAG_UTMP_AL UTMP_LOG_ALIAS
#define A_FLAG_UTMP_TR UTMP_LOG_TRUE
#define A_FLAG_UTMP_X  (A_FLAG_UTMP_AS | A_FLAG_UTMP_AL | A_FLAG_UTMP_TR)

				/* acct=(no|asis|true|alias)	*/
#define A_FLAG_ACCT_AS 128
#define A_FLAG_ACCT_AL 256
#define A_FLAG_ACCT_TR (A_FLAG_ACCT_AS | A_FLAG_ACCT_AL)
#define A_FLAG_ACCT_X  (A_FLAG_ACCT_AS | A_FLAG_ACCT_AL | A_FLAG_ACCT_TR)

#define A_FLAG_FOUND_AL 8192	/* alias found in ttys	*/

/*
 */

extern int init_utmp(char *);
extern void loginal(struct utmp *, char *, int logmode);
extern int t_ttyslot(char *, char *, char *, char **, int *);
extern void logintac(char *, long, char *, char *, char *, char *, int, int);

#if defined(__linux__)
    #ifndef L_SET
	#define L_SET SEEK_SET
    #endif
#endif
